package com.hzya.frame.seeyon.cbs8.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @Description
 * @Author xiangerlin
 * @Date 2024/6/6 16:17
 **/
public class PaymentEntity extends BaseEntity {

    private String oaId;//主表id
    private String formsonId;//明细表id
    private String payCompany;//付款公司
    private String title;//流程标题
    private String tableName;//表名称
    private String billName;//单据名称
    private String referenceNum;//业务参考号 唯一id
    private String referenceNumNew;//重试的时候生成新的业务参考号
    private String busType;//业务类型
    private String payResultField;//支付结果字段
    private String payDateField;//打款日期字段
    private String applyCodeField;//支付申请单号字段
    private String receiptFiled;//电子回单字段
    private String summaryId;//summaryid
    private String startDate;//单据日期
    private String finishedflag;//流程状态
    private String payDate;//打款日期
    private String payResult;//支付结果
    private String applyCode;//支付申请单号
    private String payAccount;//付款账号
    private String payBankName;//付款开户银行
    private String amount;//金额
    private String purpose;//支付用途
    private String revAccount;//收款账号
    private String revBankName;//收款开户行名称
    private String revBankType;//收款银行类型
    private String revAccountName;//收款账户名称
    private String cnapsCode;//联行号
    private String receipt;//电子回单
    private String currency;//币种 数字
    private String currencyName;//币种 中文
    private String currencyCode;//币种编码
    private String personalFlag;//公私标记
    private String payType;//付款类别
    private String payCompanyCode;//付款公司编码

    public String getOaId() {
        return oaId;
    }

    public void setOaId(String oaId) {
        this.oaId = oaId;
    }

    public String getPayCompany() {
        return payCompany;
    }

    public void setPayCompany(String payCompany) {
        this.payCompany = payCompany;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getBillName() {
        return billName;
    }

    public void setBillName(String billName) {
        this.billName = billName;
    }

    public String getReferenceNum() {
        return referenceNum;
    }

    public void setReferenceNum(String referenceNum) {
        this.referenceNum = referenceNum;
    }

    public String getReferenceNumNew() {
        return referenceNumNew;
    }

    public void setReferenceNumNew(String referenceNumNew) {
        this.referenceNumNew = referenceNumNew;
    }

    public String getBusType() {
        return busType;
    }

    public void setBusType(String busType) {
        this.busType = busType;
    }

    public String getPayResultField() {
        return payResultField;
    }

    public void setPayResultField(String payResultField) {
        this.payResultField = payResultField;
    }

    public String getPayDateField() {
        return payDateField;
    }

    public void setPayDateField(String payDateField) {
        this.payDateField = payDateField;
    }

    public String getReceiptFiled() {
        return receiptFiled;
    }

    public void setReceiptFiled(String receiptFiled) {
        this.receiptFiled = receiptFiled;
    }

    public String getSummaryId() {
        return summaryId;
    }

    public void setSummaryId(String summaryId) {
        this.summaryId = summaryId;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getFinishedflag() {
        return finishedflag;
    }

    public void setFinishedflag(String finishedflag) {
        this.finishedflag = finishedflag;
    }

    public String getPayDate() {
        return payDate;
    }

    public void setPayDate(String payDate) {
        this.payDate = payDate;
    }

    public String getPayResult() {
        return payResult;
    }

    public void setPayResult(String payResult) {
        this.payResult = payResult;
    }

    public String getPayAccount() {
        return payAccount;
    }

    public void setPayAccount(String payAccount) {
        this.payAccount = payAccount;
    }

    public String getPayBankName() {
        return payBankName;
    }

    public void setPayBankName(String payBankName) {
        this.payBankName = payBankName;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getRevAccount() {
        return revAccount;
    }

    public void setRevAccount(String revAccount) {
        this.revAccount = revAccount;
    }

    public String getRevBankName() {
        return revBankName;
    }

    public void setRevBankName(String revBankName) {
        this.revBankName = revBankName;
    }

    public String getRevBankType() {
        return revBankType;
    }

    public void setRevBankType(String revBankType) {
        this.revBankType = revBankType;
    }

    public String getRevAccountName() {
        return revAccountName;
    }

    public void setRevAccountName(String revAccountName) {
        this.revAccountName = revAccountName;
    }

    public String getCnapsCode() {
        return cnapsCode;
    }

    public void setCnapsCode(String cnapsCode) {
        this.cnapsCode = cnapsCode;
    }

    public String getReceipt() {
        return receipt;
    }

    public void setReceipt(String receipt) {
        this.receipt = receipt;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getCurrencyName() {
        return currencyName;
    }

    public void setCurrencyName(String currencyName) {
        this.currencyName = currencyName;
    }

    public String getCurrencyCode() {
        return currencyCode;
    }

    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    public String getPersonalFlag() {
        return personalFlag;
    }

    public void setPersonalFlag(String personalFlag) {
        this.personalFlag = personalFlag;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getPayCompanyCode() {
        return payCompanyCode;
    }

    public void setPayCompanyCode(String payCompanyCode) {
        this.payCompanyCode = payCompanyCode;
    }

    public String getFormsonId() {
        return formsonId;
    }

    public void setFormsonId(String formsonId) {
        this.formsonId = formsonId;
    }

    public String getApplyCodeField() {
        return applyCodeField;
    }

    public void setApplyCodeField(String applyCodeField) {
        this.applyCodeField = applyCodeField;
    }

    public String getApplyCode() {
        return applyCode;
    }

    public void setApplyCode(String applyCode) {
        this.applyCode = applyCode;
    }
}
